/*
 * This file is a part of BeOS USB Serial driver project.
 * Copyright (c) 2003 by Siarzuk Zharski <imker@gmx.li>
 *
 * This file may be used under the terms of the BSD License
 * See the file "License" for details.
 * 
 * $Source: /cvsroot/sis4be/usb_serial/acm.h,v $
 * $Author: zharik $
 * $Revision: 1.2 $
 * $Date: 2003/10/05 17:44:52 $
 *
 */

#ifndef _USB_ACM_H_ 
  #define _USB_ACM_H_

status_t add_acm_device(usb_serial_device *usd,
                        const usb_configuration_info *uci);
status_t reset_acm_device(usb_serial_device *usd);
status_t set_line_coding_acm(usb_serial_device *usd,
                             usb_serial_line_coding *line_coding);
status_t set_control_line_state_acm(usb_serial_device *usd, uint16 state);
void on_read_acm(usb_serial_device *usd, char **buf, size_t *num_bytes);
void on_write_acm(usb_serial_device *usd, const char *buf, size_t *num_bytes);
void on_close_acm(usb_serial_device *usd);

#endif //_USB_ACM_H_ 
