/*
 * This file is a part of BeOS USB Serial driver project.
 * Copyright (c) 2003 by Siarzuk Zharski <imker@gmx.li>
 *
 * This file may be used under the terms of the BSD License
 * See the file "License" for details.
 * 
 * $Source: /cvsroot/sis4be/usb_serial/prolific.h,v $
 * $Author: zharik $
 * $Revision: 1.2 $
 * $Date: 2003/10/05 17:44:52 $
 *
 */

#ifndef _USB_PROLIFIC_H_ 
  #define _USB_PROLIFIC_H_

#define VND_PROLIFIC 0x067b
#define VND_IODATA   0x04bb
#define VND_ATEN     0x0557
#define VND_TDK      0x04bf
#define VND_RATOC    0x0584
#define VND_ELECOM   0x056e

#define PROD_IODATA_USBRSAQ  0x0a03
#define PROD_PROLIFIC_RSAQ2  0x04bb
#define PROD_ATEN_UC232A     0x2008
#define PROD_PROLIFIC_PL2303 0x2303
#define PROD_TDK_UHA6400     0x0117
#define PROD_RATOC_REXUSB60  0xb000
#define PROD_ELECOM_UCSGT    0x5003

#define PROLIFIC_SET_REQUEST 0x01

#define PROLIFIC_BUF_SIZE  0x100

status_t add_prolific_device(usb_serial_device *usd,
                             const usb_configuration_info *uci);
status_t reset_prolific_device(usb_serial_device *usd);

#endif //_USB_PROLIFIC_H_ 
